[Git][qa/jenkins.debian.net][master] r.d.n: add helper script to manually schedule packages
Holger Levsen (@holger)
gitlab at salsa.debian.org
Fri Feb 7 10:59:06 GMT 2025
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
2a068714 by Holger Levsen at 2025-02-07T11:57:23+01:00
r.d.n: add helper script to manually schedule packages
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
1 changed file:
- + bin/rebuilderd_manual_scheduler.sh
Changes:
=====================================
bin/rebuilderd_manual_scheduler.sh
=====================================
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright 2025 Holger Levsen (holger at layer-acht.org)
+# released under the GPLv2
+
+set -e
+
+#
+# choose correct port
+#
+case $1 in
+ amd64) PORT=8484
+ ;;
+ arm64) PORT=8486
+ ;;
+ armhf) PORT=8487
+ ;;
+ i386) PORT=8485
+ ;;
+ riscv64) PORT=8488
+ ;;
+ *) echo "need a valid architecture."
+ exit 1
+ ;;
+esac
+
+ARCH=$1
+shift
+PKGS=$@
+for i in $PKGS ; do
+ env REBUILDERD_COOKIE_PATH=~/.local/share/rebuilderd-auth-cookie /opt/usr/bin/rebuildctl -H http://127.0.0.1:$PORT pkgs requeue --reset --distro debian --name $i
+done
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2a0687142e0e89f73b53bf680f924d1055484339
--
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2a0687142e0e89f73b53bf680f924d1055484339
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20250207/b35a473e/attachment-0001.htm>
More information about the Qa-jenkins-scm
mailing list